RDCode: RDKit::PeriodicTable Class Reference

# RDKit::PeriodicTable Class Reference

singleton class for retrieving information about atoms More...

`#include <PeriodicTable.h>`

List of all members.

## Public Member Functions
| ~PeriodicTable ()
double | getAtomicWeight (UINT atomicNumber) const
| returns the atomic weight
double | getAtomicWeight (const std::string &elementSymbol) const
double | getAtomicWeight (char *elementSymbol) const
int | getAtomicNumber (char *elementSymbol) const
| returns the atomic number
int | getAtomicNumber (const std::string &elementSymbol) const
| overload
std::string | getElementSymbol (UINT atomicNumber) const
| returns the atomic symbol
double | getRvdw (UINT atomicNumber) const
| returns the atom's van der Waals radius
double | getRvdw (const std::string &elementSymbol) const
double | getRvdw (char *elementSymbol) const
double | getRcovalent (UINT atomicNumber) const
| returns the atom's covalent radius
double | getRcovalent (const std::string &elementSymbol) const
double | getRcovalent (char *elementSymbol) const
double | getRb0 (UINT atomicNumber) const
| returns the atom's bond radius
double | getRb0 (const std::string &elementSymbol) const
double | getRb0 (char *elementSymbol) const
int | getDefaultValence (UINT atomicNumber) const
| returns the atom's default valence
int | getDefaultValence (const std::string &elementSymbol) const
int | getDefaultValence (char *elementSymbol) const
const INT_VECT & | getValenceList (UINT atomicNumber) const
const INT_VECT & | getValenceList (const std::string &elementSymbol) const
const INT_VECT & | getValenceList (char *elementSymbol) const
int | getNouterElecs (UINT atomicNumber) const
| returns the number of outer shell electrons
int | getNouterElecs (const std::string &elementSymbol) const
int | getNouterElecs (char *elementSymbol) const
bool | moreElectroNegative (UINT anum1, UINT anum2) const
| convenience function to determine which atom is more electronegative
## Static Public Member Functions
static PeriodicTable * | getTable ()
| returns a pointer to the singleton PeriodicTable

## Detailed Description

singleton class for retrieving information about atoms

Use the singleton like this:

        const PeriodicTable *tbl = PeriodicTable::getTable();
        tbl->getAtomicWeight(6); // get atomic weight for Carbon
        tbl->getAtomicWeight("C"); // get atomic weight for Carbon

Definition at line 27 of file PeriodicTable.h.

## Constructor & Destructor Documentation

RDKit::PeriodicTable::~PeriodicTable | ( |  | ) | `[inline]`

Definition at line 44 of file PeriodicTable.h.

## Member Function Documentation

static PeriodicTable* RDKit::PeriodicTable::getTable | ( |  | ) | `[static]`

returns a pointer to the singleton PeriodicTable

double RDKit::PeriodicTable::getAtomicWeight | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atomic weight

Definition at line 51 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getAtomicWeight().

double RDKit::PeriodicTable::getAtomicWeight | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 57 of file PeriodicTable.h.

References PRECONDITION.

double RDKit::PeriodicTable::getAtomicWeight | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 64 of file PeriodicTable.h.

References getAtomicWeight().

int RDKit::PeriodicTable::getAtomicNumber | ( | char * | elementSymbol | ) | const`[inline]`

returns the atomic number

Definition at line 69 of file PeriodicTable.h.

int RDKit::PeriodicTable::getAtomicNumber | ( | const std::string & | elementSymbol | ) | const`[inline]`

overload

Definition at line 75 of file PeriodicTable.h.

References PRECONDITION.

std::string RDKit::PeriodicTable::getElementSymbol | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atomic symbol

Definition at line 82 of file PeriodicTable.h.

References PRECONDITION.

double RDKit::PeriodicTable::getRvdw | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atom's van der Waals radius

Definition at line 88 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRvdw().

double RDKit::PeriodicTable::getRvdw | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 93 of file PeriodicTable.h.

References getRvdw(), and PRECONDITION.

double RDKit::PeriodicTable::getRvdw | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 98 of file PeriodicTable.h.

References getRvdw().

double RDKit::PeriodicTable::getRcovalent | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atom's covalent radius

Definition at line 103 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRcovalent().

double RDKit::PeriodicTable::getRcovalent | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 108 of file PeriodicTable.h.

References getRcovalent(), and PRECONDITION.

double RDKit::PeriodicTable::getRcovalent | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 113 of file PeriodicTable.h.

References getRcovalent().

double RDKit::PeriodicTable::getRb0 | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atom's bond radius

Definition at line 118 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getRb0().

double RDKit::PeriodicTable::getRb0 | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 123 of file PeriodicTable.h.

References getRb0(), and PRECONDITION.

double RDKit::PeriodicTable::getRb0 | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 128 of file PeriodicTable.h.

References getRb0().

int RDKit::PeriodicTable::getDefaultValence | ( | UINT | atomicNumber | ) | const`[inline]`

returns the atom's default valence

Definition at line 133 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getDefaultValence().

int RDKit::PeriodicTable::getDefaultValence | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 138 of file PeriodicTable.h.

References getDefaultValence(), and PRECONDITION.

int RDKit::PeriodicTable::getDefaultValence | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 143 of file PeriodicTable.h.

References getDefaultValence().

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | UINT | atomicNumber | ) | const`[inline]`

returns a vector of all stable valences. For atoms where we really don't have any idea what a reasonable maximum valence is (like transition metals), the vector ends with -1

Definition at line 150 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getValenceList().

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 155 of file PeriodicTable.h.

References getValenceList(), and PRECONDITION.

const INT_VECT& RDKit::PeriodicTable::getValenceList | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 160 of file PeriodicTable.h.

References getValenceList().

int RDKit::PeriodicTable::getNouterElecs | ( | UINT | atomicNumber | ) | const`[inline]`

returns the number of outer shell electrons

Definition at line 165 of file PeriodicTable.h.

References PRECONDITION.

Referenced by getNouterElecs(), and moreElectroNegative().

int RDKit::PeriodicTable::getNouterElecs | ( | const std::string & | elementSymbol | ) | const`[inline]`

Definition at line 170 of file PeriodicTable.h.

References getNouterElecs(), and PRECONDITION.

int RDKit::PeriodicTable::getNouterElecs | ( | char * | elementSymbol | ) | const`[inline]`

Definition at line 175 of file PeriodicTable.h.

References getNouterElecs().

bool RDKit::PeriodicTable::moreElectroNegative | ( | UINT | anum1,
|  | UINT | anum2 |
| ) |  |  | const`[inline]`

convenience function to determine which atom is more electronegative

check if atom with atomic number `anum1` is more electronegative than the one with `anum2` this is rather lame but here is how we do it

- the atom with the higher number of outer shell electrons is considered more electronegative
- if the # of outer shell elecs are the same the atom with the lower atomic weight is more electronegative

Definition at line 191 of file PeriodicTable.h.

References getNouterElecs(), and PRECONDITION.

The documentation for this class was generated from the following file:

- PeriodicTable.h